# Summary

[Preface](README.md)
- [Introduction](introduction/README.md)
    - [Target Audience](introduction/audience.md)
    - [Features](introduction/features.md)
- [Installation](installation/README.md)
    - [Installing Binary Sets](installation/binary/README.md)
        - [Downloading Binary Sets](installation/binary/downloading.md)
        - [Installing on x86](installation/binary/x86/README.md)
            - [Creating partitions](installation/binary/x86/partitions.md)
            - [Extracting the binaries](installation/binary/x86/extracting.md)
            - [Creating the root password](installation/binary/x86/passwd.md)
            - [Setting up the Bootloader](installation/binary/x86/bootloader.md)
        - [Installing on Arm](installation/binary/arm/README.md)
            - [Raspberry Pi](installation/binary/arm/rpi.md)
        - [Installing on Riscv](installation/binary/riscv/README.md)
            - [Qemu](installation/binary/riscv/qemu.md)
            - [BeagleV](installation/binary/riscv/beagle-v.md)
    - [Installing from Source](installation/source/README.md)
        - [The Build Process](installation/source/build-process.md)
        - [Downloading HHL Source](installation/source/downloading.md)
        - [Preparing to Build](installation/source/preparing.md)
        - [Building HitchHiker](installation/source/building-hitchhiker.md)
- [Post Install Configuration](configuration/README.md)
    - [Setting the root password](configuration/password.md)
    - [Setting the timezone](configuration/timezone.md)
    - [Setting the hostname](configuration/hostname.md)
    - [Adding a User Account](configuration/users.md)
    - [Setting up Networking](configuration/networking/README.md)
      - [Wired Connection](configuration/networking/wired.md)
      - [Wireless Connection](configuration/networking/wireless.md)
      - [Creating the service definition](configuration/networking/service-definition.md)
- [Managing Processes](s6/README.md)
- [Installing Third Party Software](pkgsrc/README.md)
    - [Getting Pkgsrc](pkgsrc/getting-pkgsrc.md)
    - [Bootstrapping Pkgsrc](pkgsrc/bootstrapping.md)
    - [Installing Binary Packages](pkgsrc/installing-binary.md)
    - [Building Source Packages](pkgsrc/building-source.md)
    - [Extending Pkgsrc](pkgsrc/extending.md)
- [Updating HitchHiker Linux](updating/README.md)
    - [From Binary Sets](updating/binary.md)
    - [From Source](updating/source.md)
