# Setting up Networking
The first step in setting up our network is to determine the name of
the network device that we are going to connect with. We're goind to
start by running the `ip` command to list our interfaces, and then once
that is done we can move on to setting up our connection in one of the
following subsections for *wired* or *wireless* as appropriate.
```Sh
ip link show
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP mode DEFAULT group default qlen 1000
    link/ether dc:a6:32:2a:97:94 brd ff:ff:ff:ff:ff:ff
3: wlan0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc fq_codel state DOWN mode DORMANT group default qlen 1000
    link/ether ca:d0:a4:6c:cf:5d brd ff:ff:ff:ff:ff:ff permaddr dc:a6:32:2a:97:95
```
The results for `1: lo ...` represent the *loopback* interface. We also
see an ethernet device `eth0` and a wireless device `wlan0`. To configure
the ethernet interface `eth0` go ahead to the section
[wired](wired.md). If instead you intend to use the wireless interface
`wlan0` proceeed to section [wireless](wireless.md).
