# Wireless Connection
There are a few extra steps which must be performed in order to set up
a wireless network connection. While there are a number of gui tools
designed to manage the connection with a point and click interface, the
[wpa_supplicant](https://w1.fi/wpa_supplicant/) tool is often what is
invoked as the backend for such tools. It is both simple to set up
manually and more reliable than most other tools. Most importantly, it
comes as part of the HitchHiker Linux base install.

> **Note:** It is perfectly possible to set up a wireless association
> using the `iwconfig` program rather than `wpa_supplicant`, and this
> will have the advantage of not requiring another daemon to run. Since
> wireless connections are often used in the context of a roaming setup,
> ie a laptop which will be carried from place to place and connected
> to various networks, wpa_supplicant is *usually* preferred. However if
> you have a device which will never roam yet cannot connect via a wired
> interface, the manual page for `iwconfig` gives instructions for
> associating a wireless network this way.

The first step in connecting is exactly as for a wired connection, setting
the interface state to UP. For instructions refer back to the
[wired](wired.md) subchapter.
