# Setting the timezone
HitchHiker will default to Eastern Standard Time in the United States.
If this is incorrect for where you reside, create the file `/etc/tz`
and edit it's contents to set the variable `TZ` to point to the correct
timezone. You can determine what the correct timezone should be by
running the command `tzselect`.

Let's give as an example someone living in Stockholm, Sweden.
```Sh
Please identify a location so that time zone rules can be set correctly.
Please select a continent, ocean, "coord", or "TZ".
1) Africa							     7) Australia
2) Americas							     8) Europe
3) Antarctica							     9) Indian Ocean
4) Arctic Ocean							    10) Pacific Ocean
5) Asia								    11) coord - I want to use geographical coordinates.
6) Atlantic Ocean						    12) TZ - I want to specify the timezone using the Posix TZ format.
#? 8
Please select a country whose clocks agree with yours.
1) Åland Islands	   9) Bulgaria		    17) Germany		      25) Jersey		33) Montenegro		  41) San Marino	    49) Ukraine
2) Albania		  10) Croatia		    18) Gibraltar	      26) Latvia		34) Netherlands		  42) Serbia		    50) Vatican City
3) Andorra		  11) Cyprus		    19) Greece		      27) Liechtenstein		35) North Macedonia	  43) Slovakia
4) Austria		  12) Czech Republic	    20) Guernsey	      28) Lithuania		36) Norway		  44) Slovenia
5) Belarus		  13) Denmark		    21) Hungary		      29) Luxembourg		37) Poland		  45) Spain
6) Belgium		  14) Estonia		    22) Ireland		      30) Malta			38) Portugal		  46) Sweden
7) Bosnia & Herzegovina	  15) Finland		    23) Isle of Man	      31) Moldova		39) Romania		  47) Switzerland
8) Britain (UK)		  16) France		    24) Italy		      32) Monaco		40) Russia		  48) Turkey
#? 46

The following information has been given:

	Sweden
	Germany (most areas), Scandinavia

Therefore TZ='Europe/Berlin' will be used.
Selected time is now:	Tue Sep  6 17:46:11 CEST 2022.
Universal Time is now:	Tue Sep  6 15:46:11 UTC 2022.
Is the above information OK?
1) Yes
2) No
#? 1

You can make this change permanent for yourself by appending the line
	TZ='Europe/Berlin'; export TZ
to the file '.profile' in your home directory; then log out and log in again.

Here is that TZ value again, this time on standard output so that you
can use the /usr/bin/tzselect command in shell scripts:
Europe/Berlin
```
This user would then create the file `/etc/tz` with the following
contents.
```Sh
TZ="Europe/Berlin"
```
