# Adding a User Account
It is bad practice to log in as the root user on any Unix-like system
for anything other than performing system administration tasks. You will
want to create a user account for yourself as soon as possible. This is
done using the `useradd` command. We're goind to give an example here.
However, it is good to familiarize yourself with the various flags and
arguments by looking up and reading the man page using the command
`man useradd`.

It is quite likely that you will not get everything exactly correct the
first time. It is also likely that at some future time you may wish to
edit some characteristic of the created user, such as supplementary
groups to which this user belongs.

While we're on the subject of supplmentary groups, it is a good idea to
make your own user account a member of the `wheel` group, allowing you
to `su` to the root user account.

## Our example
Our example user is Ford Prefect.
```Sh
useradd -G wheel -m -s /bin/zsh -c "Ford Prefect" ford
passwd ford
```
