# x86

The x86 platform includes all 32-bit Intel and Intel compatible processors
ranging from i386 to i786 processors. For the purposes of installation, the
x86_64 architecture, including all AMD64 and Intel 64-bit processors, is identical
in function and included in this page.

>**_NOTE:_**
>
>Please note that the minimum supported processor is i486. This is not a limitation
>specific to HitchHiker, but a limitation of the Linux Kernel itself and Glibc.
>Should you have a computer of this vintage, and wish to get it running, you have
>the choice of installing an older and likely unsupported distribution, or
>installing an operating system descended from 4.4BSD (FreeBSD, NetBSD, and OpenBSD).

It is necessary to create and format partitions in advance for HitchHiker.
There are various tools available for creating partitions on Linux. While
graphical tools are available, it is recommended to use one of **fdisk**,
**cfdisk** or Gnu **parted** to create partitions. All three are reliable
and well maintained, as well as being much simpler to use than one might
expect. The graphical tools such as Gparted often suffer from a lack of
maintenance.

Partition layout is left mostly to the user, but it is recommended to have
a separate partition for /home and one for /boot (particularly if booting
from EFI rather than legacy Bios). The default kernel that ships with the
binary sets for HItchHiker uses the same config as Slackware's *huge_s*
kernel and has good filesystem support, but it is still recommended that
for the root partition be on an ext4 filesystem.
