# Preparing to Build
If Hitch Hiker is being built on a Linux system other than itself, the following
software is expected to be present:
* Binutils - version 2.25 or greater
* Bison - version 2.7 or greater
* a functional **bzip2** and **bunzip2** command
* a functional **diff** command
* a functional **find** command
* Gcc - version 6.2 or greater
* a functional **grep** command
* a functional **gzip** and **gunzip** command
* Linux kernel version 3.2 or greater
* M4 - version 1.4.10 or greater
* GNU make
* a functional **patch** command
* GNU sed is required to build the Linux kernel
* a functional **tar** command
* Texinfo - version 4.7 or greater
* a functional **xz** and **unxz** command
Change directory to /src and create your **config.mk** file by copying
**config.mk.sample** and editing it appropriately. The comments in the sample
explain what each variable does.
```Bash
cd /src
cp config.mk.sample
vi config.mk
```
As a final step before building, it is neccessary to prepare the environment in
which we are going to build Hitch Hiker. There is a script provided for this
purpose which cleans up some environment variables and sets one **MAKEFLAG** in
order to let **make** find our include files.
```Bash
source scripts/setenv.sh
```
