# Extending Pkgsrc
While pkgsrc contains an extensive collection of software out of the box, there
are times when there are packages that have not yet been packaged or have build
failures on Hitch Hiker. For those feeling somewhat adventurous, here are two
ways to extend the available packages, providing software not in the default
distribution or alternative packages with Hitch Hiker specific bug fixes.
## pkgsrc-wip
The [pkgsrc-wip project](https://pkgsrc.org/wip/) is a collection of work in
progress packages which for one reason or another have not yet been accepted into
the main distribution. Much of the time these packages are perfectly functional,
but might not work on every OS that pkgsrc supports. The pkgsrc-wip repository
is managed via git, and due to the main pkgsrc framework being managed under CVS
it is safe to clone pkgsrc-wip right into pkgsrc.
```Bash
cd /usr/pkgsrc
git clone https://pkgsrc.org/wip/ wip
```
This will put all of pkgsrc-wip right inside pkgsrc at **/usr/pkgsrc/wip**. Once
there, using wip is exactly the same as using the rest of pkgsrc.
## pkgsrc-hhl
The pkgsrc-hhl project is and extension to pkgsrc containing packages that are
intended specifically for Hitch Hiker. These packages may add functionality not
available in pkgsrc, fix build issues, or integrate packages from pkgsrc better
with Hitch Hiker. Installation and usage of pkgsrc-hhl is similar to pkgsrc-wip.
```Bash
cd /usr/pkgsrc
git clone https://git.hitchhiker-linux.org/hitchhiker/pkgsrc-hhl.git hhl
```
